Bug 156631 - fast/text/font-face-javascript.html is flaky
Summary: fast/text/font-face-javascript.html is flaky
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-15 10:54 PDT by Jiewen Tan
Modified: 2016-07-13 15:02 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiewen Tan 2016-04-15 10:54:37 PDT
fast/text/font-face-javascript.html is flaky on macs and iOS simulators.
Comment 1 Jiewen Tan 2016-04-15 10:58:49 PDT
Committed r199596: <http://trac.webkit.org/changeset/199596>
Comment 2 Jiewen Tan 2016-04-15 10:59:35 PDT
(In reply to comment #1)
> Committed r199596: <http://trac.webkit.org/changeset/199596>

Mark it as flaky.

Reopen to counter auto-closing.
Comment 3 Myles C. Maxfield 2016-04-15 15:29:14 PDT
(In reply to comment #1)
> Committed r199596: <http://trac.webkit.org/changeset/199596>

It should definitely never crash.
Comment 4 Jiewen Tan 2016-04-15 15:34:51 PDT
(In reply to comment #3)
> (In reply to comment #1)
> > Committed r199596: <http://trac.webkit.org/changeset/199596>
> 
> It should definitely never crash.

Here is the crash building:
https://build.webkit.org/builders/Apple%20Yosemite%20Debug%20WK1%20(Tests)/builds/12301

Crash log:
Process:               DumpRenderTree [48226]
Path:                  /Volumes/VOLUME/*/DumpRenderTree
Identifier:            DumpRenderTree
Version:               0
Code Type:             X86-64 (Native)
Parent Process:        Python [48225]
Responsible:           bash [257]
User ID:               501

Date/Time:             2016-04-15 07:54:19.237 -0700
OS Version:            Mac OS X 10.10.5 (14F1605)
Report Version:        11
Anonymous UUID:        4069C378-2A2F-FF76-A269-8DACF2406845


Time Awake Since Boot: 2400000 seconds

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       KERN_INVALID_ADDRESS at 0x00000000bbadbeef

VM Regions Near 0xbbadbeef:
--> 
    __TEXT                 0000000100382000-0000000100427000 [  660K] r-x/rwx SM=COW  /Volumes/VOLUME/*

Application Specific Information:
CRASHING TEST: fast/text/font-face-javascript.html

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   com.apple.JavaScriptCore      	0x0000000101804297 WTFCrash + 39
1   com.apple.WebCore             	0x00000001069df9ca WebCore::CSSFontFace::fontLoaded(WebCore::CSSFontFaceSource&) + 122 (CSSFontFace.cpp:418)
2   com.apple.WebCore             	0x00000001069ff110 WebCore::CSSFontFaceSource::fontLoaded(WebCore::CachedFont&) + 336 (CSSFontFaceSource.cpp:115)
3   com.apple.WebCore             	0x00000001067be2f3 WebCore::CachedFont::checkNotify() + 115 (CachedFont.cpp:143)
4   com.apple.WebCore             	0x00000001067d014f WebCore::CachedResource::error(WebCore::CachedResource::Status) + 143 (CachedResource.cpp:324)
5   com.apple.WebCore             	0x0000000108770d8e WebCore::SubresourceLoader::didFail(WebCore::ResourceError const&) + 382 (SubresourceLoader.cpp:457)
6   com.apple.WebCore             	0x00000001083f4165 WebCore::ResourceLoader::didFail(WebCore::ResourceHandle*, WebCore::ResourceError const&) + 101 (ResourceLoader.cpp:650)
7   com.apple.WebCore             	0x0000000108ae0dbd -[WebCoreResourceHandleAsDelegate connection:didFailWithError:] + 269 (WebCoreResourceHandleAsDelegate.mm:274)
8   com.apple.CFNetwork           	0x00007fff8399181d __65-[NSURLConnectionInternal _withConnectionAndDelegate:onlyActive:]_block_invoke + 69
9   com.apple.CFNetwork           	0x00007fff83991681 -[NSURLConnectionInternal _withConnectionAndDelegate:onlyActive:] + 232
10  com.apple.CFNetwork           	0x00007fff839930f6 -[NSURLConnectionInternal _withConnectionAndDelegate:] + 45
11  com.apple.CFNetwork           	0x00007fff8399c14b _NSURLConnectionDidFail(_CFURLConnection*, __CFError*, void const*) + 95
12  com.apple.CFNetwork           	0x00007fff8399c03c ___ZN27URLConnectionClient_Classic17_delegate_didFailEP9__CFErrorU13block_pointerFvvE_block_invoke + 118
13  com.apple.CFNetwork           	0x00007fff83a464a3 ___ZN27URLConnectionClient_Classic18_withDelegateAsyncEPKcU13block_pointerFvP16_CFURLConnectionPK33CFURLConnectionClientCurrent_VMaxE_block_invoke_2 + 94
14  com.apple.CFNetwork           	0x00007fff838e4eec RunloopBlockContext::_invoke_block(void const*, void*) + 72
15  com.apple.CoreFoundation      	0x00007fff8acba664 CFArrayApplyFunction + 68
16  com.apple.CFNetwork           	0x00007fff838e4dad RunloopBlockContext::perform() + 133
17  com.apple.CFNetwork           	0x00007fff838e4b98 MultiplexerSource::perform() + 282
18  com.apple.CFNetwork           	0x00007fff838e49ba MultiplexerSource::_perform(void*) + 72
19  com.apple.CoreFoundation      	0x00007fff8aceea01 __CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__ + 17
20  com.apple.CoreFoundation      	0x00007fff8ace0b8d __CFRunLoopDoSources0 + 269
21  com.apple.CoreFoundation      	0x00007fff8ace01bf __CFRunLoopRun + 927
22  com.apple.CoreFoundation      	0x00007fff8acdfbd8 CFRunLoopRunSpecific + 296
23  DumpRenderTree                	0x00000001003a38da runTest(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&) + 6266 (DumpRenderTree.mm:2055)
24  DumpRenderTree                	0x00000001003a1fb4 runTestingServerLoop() + 340 (DumpRenderTree.mm:1201)
25  DumpRenderTree                	0x00000001003a1520 dumpRenderTree(int, char const**) + 448 (DumpRenderTree.mm:1315)
26  DumpRenderTree                	0x00000001003a41ed DumpRenderTreeMain(int, char const**) + 125 (DumpRenderTree.mm:1450)
27  DumpRenderTree                	0x00000001003fbd12 main + 34 (DumpRenderTreeMain.mm:34)
28  libdyld.dylib                 	0x00007fff8d0ab5c9 start + 1
Comment 5 Alexey Proskuryakov 2016-07-12 23:21:20 PDT
I don't see any crashes for this test on the flakiness dashboard. But the test fails 100% of the time:

-PASS new FontFace('family_name', 'url(\'asdf\')', {}).unicodeRange is "U+0-10FFFF"
+FAIL new FontFace('family_name', 'url(\'asdf\')', {}).unicodeRange should be U+0-10FFFF. Was U+0-10ffff.
Comment 6 Myles C. Maxfield 2016-07-13 15:02:52 PDT
Committed r203193: <http://trac.webkit.org/changeset/203193>